@echo off
setlocal enabledelayedexpansion

rem Create or clear the images.txt file
> images.txt echo.

rem Loop through all .png files in the current directory and subdirectories
for /r %%a in (*.png) do (
    echo file '%%a' >> images.txt
)

rem Use ffmpeg to create a video from the images
rem ..\3rdparty\ffmpeg\ffmpeg.exe -r 25 -f concat -safe 0 -i images.txt -c:v libx264 -pix_fmt yuv420p video.mp4
rem ..\3rdparty\ffmpeg\ffmpeg.exe -r 25 -f concat -safe 0 -i images.txt -vf scale=iw*4:ih*4 -c:v libx264 -pix_fmt yuv420p video.mp4
..\3rdparty\ffmpeg\ffmpeg.exe -r 25 -f concat -safe 0 -i images.txt -vf scale=iw*4:ih*4:flags=neighbor -c:v libx264 -pix_fmt yuv420p video.mp4

rem Optionally delete the images.txt file
del /q images.txt

endlocal
